/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://www.osor.eu/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LSTDPP_READER_H
#define LSTDPP_READER_H

#include "BaseReader.h"

namespace lstdpp128 {

class Reader : public BaseReader {

public:
	/**
	 * Constructor.
	 */
	Reader(int32_t size);

	/**
	 * Destructor.
	 */
	virtual ~Reader();

	/**
	 * Returns the board header memory block.
	 */
	int32_t * boardHeader() const;

	/**
	 * Opens the file. Returns false if problem opening the file.
	 */
	virtual bool open(std::string const & fileName);

	/**
	 * Returns the number of int32_t elements read.
	 */
	virtual int32_t read();

private:
	int32_t getBlockSizeInBytes();
};

}

#endif
