/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://www.osor.eu/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "../../algorithms/root/Detector.h"

using namespace std;

namespace lstdpp128 {

std::ostream& operator<< (std::ostream& os, Detector const & d) {
	//return os << boost::format("%18d") % e.time << " " << boost::format("%10d") % e.energy << " " << boost::format("%4d") % e.crate << " " << boost::format("%4d") % e.adc;
	os << d.channel << " " << d.detType.first;
	if (d.detType.first==-1){
		os << " " << d.detType.second;
	}
	os << " "<< d.isTrig << " " << d.Cal.first << " " << d.Cal.second << " " << d.Thr.first << " " << d.Thr.second << " " << d.timeShift;
	return os;
}

}
