/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://www.osor.eu/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef LSTDPP_DETECTOR_H
#define LSTDPP_DETECTOR_H

#include <iostream>
#include <stdint.h>
#include <set>

namespace lstdpp128 {

struct Detector {
	int32_t channel; //channel number
	bool isTrig; //is the channel used as a trigger?
	int32_t timeShift;
	std::pair<int32_t,int32_t> detType; //first: detType (see XPConfig.txt)   second: in case detType=BGO, channel number of corresponding HPGe
	std::pair<double,double> Cal; //calibration: first *x + second
	std::pair<double,double> Thr; //if the non-calibrated energy is out of this range, the event is a noise
};

std::ostream& operator<< (std::ostream& os, Detector const & d);

}

#endif
