#ifndef LSTDPP_QA_H
#define LSTDPP_QA_H

#include <sstream>
#include <iostream>
#include <algorithm>
#include <vector>

#include <TH1.h>
#include <TH2.h>
#include <TDirectory.h>

namespace lstdpp128 {

class QA {

public:
	QA();
	~QA();
	int32_t _numberOfADCs;

	TH1D *_htimeVsEvt;
	TH1D *_hADCRates;
	TH1D *_hEvents;
	TH1I *_hMult;
	TH1I *_hSyst;
	TH2I *_hRelativeTimeTH2;
	TH2I *_hCoincMatrix;
	std::vector<TH1I*> _hRelativeTimeTH1;
	std::vector<TH1I*> _hADCSpectra;
	std::vector<TH1I*> _hADCSpectraCal;
	std::vector<TH1I*> _hADCSpectraCalClean;
	void Init(const int numberOfADCs, const int numberOfChannels, const int numberOfEvents, const int maxEvent, const int energyMax, const int maxTimeCor, const int matrixSize);
	void FillRelativeTime();
private:
};

}

#endif
